<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC"
      crossorigin="anonymous"
    />

    <title>Countries-List App</title>
    <style>
      @media screen and (max-width: 800px) {
        .box1 {
          width: 90% !important;
        }

        .section1 {
          width: 90% !important;
        }
      }

      .box1 {
        width: 600px;
        padding: 10px;
        border: 0.1px solid rgb(7, 7, 7);
        margin: auto;
      }
    </style>
  </head>

  <body>
    <div class="text-center section1" style="width: 600px; margin: auto">
      <img src="1.jpg" />
      <h1>Countries-List</h1>

      <div class="input-group mb-3">
        <input
          type="text"
          class="form-control"
          placeholder="Enter country name"
          required
          id="input"
        />
        <div class="input-group-append">
          <button class="input-group-text" id="search">Search</button>
        </div>
      </div>
    </div>

    <div id="countrieslist"></div>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
      crossorigin="anonymous"
    ></script>

    <script>
      function dateTime(timezone) {
        let offset1 = timezone.split('C');
        let offset2 = offset1[1].split(':');
        let offset3 = parseInt(offset2[0]);
        let offset4 = parseInt(offset2[1]);
        let offset = offset3 + offset4 / 60;
        let x = new Date();
        let month = x.getMonth();
        let months = [
          'Jan',
          'Feb',
          'Mar',
          'Apr',
          'May',
          'Jun',
          'Jul',
          'Aug',
          'Sep',
          'Oct',
          'Nov',
          'Dec',
        ];
        let day = x.getDate();
        let year = x.getFullYear();
        let str1 = '';
        let str = '';
        let str2 = '';
        str1 = day + ' ' + months[month] + ' ' + year;
        let localTime = x.getTime();
        let localOffset = x.getTimezoneOffset() * 60000;
        let utc = localTime + localOffset;
        let nd = new Date(utc + 3600000 * offset);
        let h = nd.getHours();
        let m = nd.getMinutes();
        let h1 = '';
        let m1 = '';
        if (h < 10) {
          h1 = h1 + '0' + h.toString();
        }
        if (m < 10) {
          m1 = m1 + '0' + m.toString();
        }
        if (h < 10) {
          if (m < 10) {
            str2 = h1 + ':' + m1;
          } else {
            str2 = h1 + ':' + m;
          }
        } else {
          if (m < 10) {
            str2 = h + ':' + m1;
          } else {
            str2 = h + ':' + m;
          }
        }
        str = str1 + ' and ' + str2;

        return str;
      }

      $('#search').on('click', function () {
        let value = $('#input').val();

        $('#countrieslist').empty();

        $.get(
          'https://restcountries.com/v3.1/name/' + value,
          function (data, status) {
            data.forEach((element) => {
              let curr = 'NULL';
              if (element.currencies) {
                curr = Object.values(element.currencies)[0].name;
              }

              let str =
                `<div class='box1 mb-2'><div class="row">
                <div class="col-4"> 
                  <img src="` +
                element.flags.png +
                `" width="100%" id="imgchg" />
                </div>
                <div class="col">
                  <h2>` +
                element.name.common +
                `</h2>
                  <p class="m-0">Currency : ` +
                curr +
                ` </p>
                  <p class="m-0">Current date and time :` +
                dateTime(element.timezones[0]) +
                ` </p>
                  <a class='btn btn-outline-primary' href='` +
                element.maps.googleMaps +
                `'>Show Map</a>
                  <a class='btn btn-outline-primary' href='detail.html?country=` +
                element.cca3 +
                `'>Detail</a>
                </div>
              </div></div>`;

              $('#countrieslist').append(str);
            });
          }
        );
      });

      $.get('https://restcountries.com/v3.1/all', function (data, status) {
        data.forEach((element) => {
          let curr = 'NULL';
          if (element.currencies) {
            curr = Object.values(element.currencies)[0].name;
          }

          let str =
            `<div class='box1 mb-2'><div class="row">
                <div class="col-4">
                  <img src="` +
            element.flags.png +
            `" width="100%" id="imgchg" />
                </div>
                <div class="col">
                  <h2>` +
            element.name.common +
            `</h2>
                  <p class="m-0">Currency : ` +
            curr +
            `</p>
                  <p class="m-0">Current date and time :` +
            dateTime(element.timezones[0]) +
            ` </p>
                  <a class='btn btn-outline-primary' href='` +
            element.maps.googleMaps +
            `'>Show Map</a>
                  <a class='btn btn-outline-primary' href='detail.html?country=` +
            element.cca3 +
            `'>Detail</a>
                </div>
              </div></div>`;

          $('#countrieslist').append(str);
        });
      });
    </script>
  </body>
</html>
